;+
; PROJECT:
;       HESSI
;
; NAME:
;       HSI_PIXON_CONTROL
;
; PURPOSE:
;       Returns the default data structure for the pixon control parameters
;
; CATEGORY:
;       Imaging
;
; CALLING SEQUENCE:
;       struct = {hsi_pixon_control}
;
; TAG NAMES:
;
;       resolution
;       snr
;       guess
;       pixon_sizes
;       sensitivity
;       smpattwritedir
;
; SEE ALSO:
;       hsi_pixon_control
;       hsi_pixon__define
;
; HISTORY:
;       T. Metcalf 20001 Feb 27
; Modificatoins:
;
;       10-may-2010, ras, Finally created this function
;		15-apr-2013, ras, explicitly setting resolution to 1 even though
;			routine forces it to 1 if it is 0
;-
;

function HSI_Pixon_control

;struct =  {HSI_Pixon_Control, $
;           resolution: 0L, $
;           snr: 0, $
;           background_model: 0, $
;           variable_metric: 0, $
;           full_pm_calc: 0, $
;           guess: ptr_new(), $
;           pixon_sizes: ptr_new(), $
;           sensitivity: 0.0, $
;           noplot: 0, $
;           smpattwritedir: '', $
;           progress_bar: 1}    ;kim
control = {hsi_pixon_control}
control.progress_bar = 1                ;kim
control.sensitivity = 0.0
control.resolution = 1 ;routine forces a value ge 1 and le 8
return, control
END